--[[local FOLDER_NAME, SSA = ...

local L = LibStub('AceLocale-3.0'):GetLocale('ShamanAuras', true)
local Auras = LibStub('AceAddon-3.0'):GetAddon('ShamanAuras')
local LSM = LibStub('LibSharedMedia-3.0')]]

local SSA, Auras, L, LSM = unpack(select(2,...))


-- Cache Global Variables
-- Lua Function
local getn = table.getn
local tostring = tostring
-- WoW API / Variables
local GetTime = GetTime

--[[function Auras:SetDefaultCooldownNumbers(enabled)
	local cdUI = InterfaceOptionsActionBarsPanelCountdownCooldowns
						
	if (cdUI:GetChecked() and enabled) then
		cdUI:Click()
	elseif (not cdUI:GetChecked() and not enabled) then
		cdUI:Click()
	end
	
	if (cdUI:IsEnabled() and enabled) then
		cdUI:Disable()
	elseif (not cdUI:IsEnabled() and not enabled) then
		cdUI:Enable()
	end
end]]

function Auras:InitializeCooldowns(self,spec)
	local cd = Auras.db.char.elements[spec].cooldowns
	local frames = { SSA[self]:GetChildren() }

	
	--[[if (type(arg1) == "boolean") then	
		local cooldown = _G[self:GetName()];
		if (not arg1) then
			cooldown:SetSwipeColor(0,0,0,0);
			--cooldown.text:Hide();
		else
			cooldown:SetSwipeColor(1,1,1,1)
			--cooldown.text:Show()
		end
		cooldown:SetDrawSwipe(arg1)
		cooldown:SetDrawEdge(arg1)
		cooldown:SetDrawBling(arg1)
	else]]
	--SSA.DataFrame.text:SetText('')
	
	local ignoreFrames = {
		["StormkeeperChargeGrp"] = true,
		["StormstrikeChargeGrp"] = true,
		["Cloudburst"] = true,
	}
	
	for i=1,getn(frames) do
		--SSA.DataFrame.text:SetText(Auras:CurText('DataFrame')..i..". "..frames[i]:GetName().." ("..frames[i]:GetObjectType()..")")
		if (frames[i]:GetObjectType() == "Frame" and not ignoreFrames[frames[i]:GetName()]) then
			local auras = { frames[i]:GetChildren() }
			--SSA.DataFrame.text:SetText(Auras:CurText('DataFrame').."+\n")
			for j=1,getn(auras) do
				--SSA.DataFrame.text:SetText(auras[j]:GetName())
				if (auras[j]:GetObjectType() == "Frame") then
					--SSA.DataFrame.text:SetText(auras[j]:GetName())
					local aura = auras[j]
					
					
					
					if (aura:GetName() == "ElementalBlast") then
						--SSA.DataFrame.text:SetText('')
					end
					
					-- Set Cooldown's Text Visibility
					aura.CD:SetHideCountdownNumbers(true)
					aura.PCD:SetHideCountdownNumbers(true)
					
					-- Set Cooldown's Spiral Direction
					aura.CD:SetReverse(cd.inverse)
					aura.PCD:SetReverse(cd.inverse)
					
					if (aura.GCD) then
						aura.GCD:SetReverse(cd.inverse)
					end
					
					if (aura.ChargeCD) then
						aura.ChargeCD:SetHideCountdownNumbers(true)
					end
					
					
					
					if (aura:GetName() == "ElementalBlast") then
						--SSA.DataFrame.text:SetText(Auras:CurText('DataFrame').."CD: "..tostring(auraDb.CD).."\nSwipe: "..tostring(auraDb.swipe).."\nBling: "..tostring(auraDb.bling).."\n\nStart: "..start.."\nDuration: "..duration.."\n\n")
					end
					
					if (cd.sweep) then
						aura.PCD:SetDrawSwipe(true)
						aura.PCD:SetDrawEdge(true)
					else
						aura.PCD:SetDrawSwipe(false)
						aura.PCD:SetDrawEdge(false)
					end
				end
			end
		else
			--SSA.DataFrame.text:SetText(Auras:CurText('DataFrame').."\n")
		end
	end

		
		--if (auraDb.interrupted) then
			--auraDb.interrupted = false
		--end
	--end
end

function Auras:UpdateCooldown(self,spec,cd)
	-- Gather CD Information
	local swipe,bling = self.CD:GetDrawSwipe(),self.CD:GetDrawBling()
	local start,duration = self.CD:GetCooldownTimes()
					
	-- Configure CD
	if (start == 0 or duration == 0) then
		if (self:GetName() == "ElementalBlast") then
			--SSA.DataFrame.text:SetText(Auras:CurText('DataFrame').."CD: No Cooldown\n")
		end
		if (swipe) then
			self.CD:SetDrawSwipe(false)
			self.CD:SetDrawEdge(false)
		end
		
		if (bling) then
			self.CD:SetDrawBling(false)
		end
	elseif (cd.sweep and cd.bling) then
		if (self:GetName() == "ElementalBlast") then
			--SSA.DataFrame.text:SetText(Auras:CurText('DataFrame').."CD: Swipe | Bling\n")
		end
		if (not swipe) then
			self.CD:SetDrawSwipe(true)
			self.CD:SetDrawEdge(true)
		end
		
		if (not bling) then
			self.CD:SetDrawBling(true)
		end
	elseif (cd.sweep and not cd.bling) then
		if (self:GetName() == "ElementalBlast") then
			--SSA.DataFrame.text:SetText(Auras:CurText('DataFrame').."GCD: Swipe | No Bling\n")
		end
		if (not swipe) then
			self.CD:SetDrawSwipe(true)
			self.CD:SetDrawEdge(true)
		end
		
		if (bling) then
			self.CD:SetDrawBling(false)
		end
	else
		if (self:GetName() == "ElementalBlast") then
			--SSA.DataFrame.text:SetText(Auras:CurText('DataFrame').."GCD: No Swipe | No Bling\n")
		end
		if (swipe) then
			self.CD:SetDrawSwipe(false)
			self.CD:SetDrawEdge(false)
		end
		
		if (bling) then
			self.CD:SetDrawBling(false)
		end
	end
	
	-- Configure GCD
	--[[if (gStart == 0 or gDuration == 0 or cd.interrupted) then
		if (gSwipe) then
			self.GCD:SetDrawSwipe(false)
			self.GCD:SetDrawEdge(false)
		end
		
		if (gBling) then
			self.GCD:SetDrawBling(false)
		end
		
		if (cd.interrupted) then
			self.GCD:SetCooldown(0,0)
			cd.interrupted = false
		end
	else]]
	if (self.GCD) then
		-- Gather GCD Information
		local gSwipe,gBling = self.GCD:GetDrawSwipe(),self.GCD:GetDrawBling()
		local gStart,gDuration = self.GCD:GetCooldownTimes()
	
		if (cd.GCD.isEnabled and cd.sweep and cd.bling) then
			if (not gSwipe) then
				self.GCD:SetDrawSwipe(true)
				self.GCD:SetDrawEdge(true)
			end
			
			if (not gBling) then
				self.GCD:SetDrawBling(true)
			end
		elseif (cd.GCD.isEnabled and cd.sweep and not cd.bling) then
			if (not gSwipe) then
				self.GCD:SetDrawSwipe(true)
				self.GCD:SetDrawEdge(true)
			end
			
			if (gBling) then
				self.GCD:SetDrawBling(false)
			end
		else
			if (gSwipe) then
				self.GCD:SetDrawSwipe(false)
				self.GCD:SetDrawEdge(false)
			end
			
			if (gBling) then
				self.GCD:SetDrawBling(false)
			end
		end
	end
end
function Auras:SetCooldownFont(self,cdGrp)
	self.text:SetFont(LSM.MediaTable.font[cdGrp.text.font.name],cdGrp.text.font.size,cdGrp.text.font.flag)
	self.text:SetTextColor(cdGrp.text.font.color.r,cdGrp.text.font.color.g,cdGrp.text.font.color.b,cdGrp.text.font.color.a)
	
	self.text:ClearAllPoints()
	self.text:SetPoint(cdGrp.text.justify,self,cdGrp.text.justify,cdGrp.text.x,cdGrp.text.y)
	
	if (cdGrp.text.font.shadow.isEnabled) then
		self.text:SetShadowColor(cdGrp.text.font.shadow.color.r,cdGrp.text.font.shadow.color.g,cdGrp.text.font.shadow.color.b,cdGrp.text.font.shadow.color.a)
		self.text:SetShadowOffset(cdGrp.text.font.shadow.offset.x,cdGrp.text.font.shadow.offset.y)
	else
		self.text:SetShadowColor(0,0,0,0)
	end
end

function Auras:PreviewCooldown(self,group,subgroup,spec)
	local db = Auras.db.char
	local cd = db.elements[spec].cooldowns
	local cdGrp = cd[group][subgroup]
	
	if (not self.PCD:IsShown()) then
		self.PCD:Show()
	end
	
	local start,duration = self.PCD:GetCooldownTimes()
	local remains = ((start + duration) / 1e3) - GetTime()
	--print(auraDb.font[fontObj].style)

	Auras:SetCooldownFont(self.PCD,cdGrp)
	--self:SetAlpha(1)
	--[[self.PCD.text:SetFont(LSM.MediaTable.font[cdGrp.text.font.name],cdGrp.text.font.size,cdGrp.text.font.flag)
	self.PCD.text:SetTextColor(cdGrp.text.font.color.r,cdGrp.text.font.color.g,cdGrp.text.font.color.b,cdGrp.text.font.color.a)
	
	
	self.PCD:SetReverse(cd.inverse)
	
	self.PCD.text:ClearAllPoints()
	self.PCD.text:SetPoint(cdGrp.text.justify,self.PCD,cdGrp.text.justify,cdGrp.text.x,cdGrp.text.y)
	
	if (cdGrp.text.font.shadow.isEnabled) then
		self.PCD.text:SetShadowColor(cdGrp.text.font.shadow.color.r,cdGrp.text.font.shadow.color.g,cdGrp.text.font.shadow.color.b,cdGrp.text.font.shadow.color.a)
		self.PCD.text:SetShadowOffset(cdGrp.text.font.shadow.offset.x,cdGrp.text.font.shadow.offset.y)
	else
		self.PCD.text:SetShadowColor(0,0,0,0)
	end]]
		
	if (remains <= 3) then
		self.PCD:SetCooldown(GetTime(),10)
		
	else
		if (cd.text) then
			self.PCD.text:SetText(Auras:parseTime(remains,false))
		else
			self.PCD.text:SetText('')
		end	
	end
end

function Auras:ExecuteGCD(self,start,spec)
	
	if (not self.GCD) then
		return
	end
	
	local cd = Auras.db.char.elements[spec].cooldowns
	local strt,duration = self.CD:GetCooldownTimes()
	local gDur = self.GCD:GetCooldownDuration()
	
	if (self:GetName() == "Flametongue") then
		--print(tostring(duration)..", "..tostring(gDur))
		--SSA.DataFrame.text:SetText("Enabled: "..tostring(cd.GCD.isEnabled).."\nInterrupted: "..tostring(cd.interrupted).."\n\n Time: "..tostring(GetTime()).."\nExpire: "..tostring(cd.GCD.endTime).."\nExpired: "..tostring(GetTime() > (cd.GCD.endTime + 1)).."\nDuration: "..strt)
	end
	
	if (cd.isEnabled and cd.GCD.isEnabled and cd.GCD.length > 0 and strt == 0 and GetTime() < cd.GCD.endTime) then
		if (not self.GCD:IsShown()) then
			self.GCD:Show()
		end
		self.GCD:SetReverse(cd.inverse)
		self.GCD:SetCooldown(start,cd.GCD.length)
		
		--SSA.DataFrame.text:SetText("RUNNING")
	else
		
		if (not cd.isEnabled or not cd.GCD.isEnabled or cd.interrupted or GetTime() > (cd.GCD.endTime + 1) or strt > 0) then
			--cd.GCD.endTime
			--self.GCD:SetCooldown(0,0)
			if (self.GCD:IsShown()) then
				self.GCD:Hide()
			end
		end
	end
end

--function Auras:ExecuteCooldown(self,start,duration,isSmallAura,isHideText,spec)
function Auras:ExecuteCooldown(self,start,duration,group,subgroup,spec)
	-- Initialize Database Vars
	local cd = Auras.db.char.elements[spec].cooldowns
	local cdGrp = cd[group][subgroup]
	
	-- Initialize Time-based Vars
	local expires = start + duration
	local timer = expires - GetTime()
	local remaining,seconds = Auras:parseTime(timer,false)
	
	--self.CD.text:SetFont(LSM.MediaTable.font[cdGrp.text.font.name],cdGrp.text.font.size,cdGrp.text.font.flag);
	if (not cd.isEnabled) then
		self.CD:Hide()
		return
	else
		if (not self.CD:IsShown()) then
			self.CD:Show()
		end
	end
	
	Auras:SetCooldownFont(self.CD,cdGrp)
	self.CD:SetCooldown(start,duration)
	--self.CD:SetReverse(cd.inverse)
	
	if (cd.text) then
		self.CD.text:SetText(Auras:parseTime(timer,false))
	else
		self.CD.text:SetText('')
	end

	if (cd.sweep) then
		--Auras:ToggleCooldownSwipe(self.CD,true)
	else
		--Auras:ToggleCooldownSwipe(self.CD,false)
	end
end
