local FOLDER_NAME, SSA = ...
local LSM = LibStub("LibSharedMedia-3.0")

local defaults = {
	char = {
		EquippedArtifact = '',
		isR59FirstLoad = true,
		version = nil,
		name = nil,
		isMoveGrid = true,
		cooldowns = {
			numbers = true,
			sweep = true,
		},
		info = {
			totems = {
				eShield = {
				},
				cBurst = {
					absorb = 0,
				}
			}
		},
		layout = {
			[1] = {
				orientation = {
					top = "Horizontal",
					bottom = "Horizontal",
					extra = "Horizontal",
					left = "Vertical",
					right = "Vertical",
				},
				primary = {
					top = {
						icon = 32,
						spacing = 50,
						charges = 13.5,
					},
					bottom = {
						icon = 32,
						spacing = 50,
						charges = 13.5,
					},
					extra = {
						icon = 32,
						spacing = 50,
						charges = 13.5,
					},
				},
				secondary = {
					left = {
						icon = 25,
						spacing = 30,
						charges = 13.5,
					},
					right = {
						icon = 25,
						spacing = 30,
						charges = 13.5,
					},
				},
				maelstromBar = {
					width = 260,
					height = 21,
					textSize = 12,
				},
				icefuryBar = {
					width = 260,
					height = 21,
					textSize = 12,
				},
			},
			[2] = {
				orientation = {
					top = "Horizontal",
					bottom = "Horizontal",
					extra = "Horizontal",
					left = "Vertical",
					right = "Vertical",
				},
				primary = {
					top = {
						icon = 32,
						spacing = 50,
						charges = 13.5,
					},
					bottom = {
						icon = 32,
						spacing = 50,
						charges = 13.5,
					},
					extra = {
						icon = 32,
						spacing = 50,
						charges = 13.5,
					},
				},
				secondary = {
					left = {
						icon = 25,
						spacing = 30,
						charges = 13.5,
					},
					right = {
						icon = 25,
						spacing = 30,
						charges = 13.5,
					},
				},
				maelstromBar = {
					width = 260,
					height = 21,
					textSize = 12,
				},
			},
			[3] = {
				orientation = {
					top = "Horizontal",
					bottom = "Horizontal",
					extra = "Horizontal",
					left = "Vertical",
					right = "Vertical",
				},
				primary = {
					top = {
						icon = 32,
						spacing = 50,
						charges = 13.5,
					},
					bottom = {
						icon = 32,
						spacing = 50,
						charges = 13.5,
					},
					extra = {
						icon = 32,
						spacing = 50,
						charges = 13.5,
					},
				},
				secondary = {
					left = {
						icon = 25,
						spacing = 30,
						charges = 13.5,
					},
					right = {
						icon = 25,
						spacing = 30,
						charges = 13.5,
					},
				},
				earthenShieldBar = {
					width = 260,
					height = 21,
					textSize = 12,
				},
				manaBar = {
					width = 260,
					height = 21,
					textSize = 12,
				},
				tidalWavesBar = {
					width = 225,
					height = 7,
				},
			},
			defaults = {
				orientation = {
					top = "Horizontal",
					bottom = "Horizontal",
					extra = "Horizontal",
					left = "Vertical",
					right = "Vertical",
				},
				primary = {
					top = {
						icon = 32,
						spacing = 50,
						charges = 13.5,
					},
					bottom = {
						icon = 32,
						spacing = 50,
						charges = 13.5,
					},
					extra = {
						icon = 32,
						spacing = 50,
						charges = 13.5,
					},
				},
				secondary = {
					left = {
						icon = 25,
						spacing = 30,
						charges = 13.5,
					},
					right = {
						icon = 25,
						spacing = 30,
						charges = 13.5,
					},
				},
				LargeBar = {
					width = 260,
					height = 21,
				},
				SmallBar = {
					width = 225,
					height = 7,
				},
				textSize = 12,
			},
		},
		elements = {
			[1] = {
				isEnabled = true,
				isMoving = false,
				cooldowns = {
					isEnabled = true,
					text = true,
					sweep = true,
					inverse = false,
					bling = true,
					interrupted = false,
					adjust = false,
					selected = "primary;1",
					GCD = {
						isEnabled = false,
						length = 0,
						sweep = true,
						bling = true,
					},
					primary = {
						[1] = {
							isPreview = false,
							text = {
								isDisplayText = true,
								justify = "CENTER",
								x = 0,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										isEnabled = false,
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
						},
						[2] = {
							isPreview = false,
							text = {
								isDisplayText = true,
								justify = "CENTER",
								x = 0,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										isEnabled = false,
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
						},
						[3] = {
							isPreview = false,
							text = {
								isDisplayText = true,
								justify = "CENTER",
								x = 0,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										isEnabled = false,
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
						},
					},
					secondary = {
						[1] = {
							isPreview = false,
							text = {
								isDisplayText = true,
								justify = "CENTER",
								x = 0,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										isEnabled = false,
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
						},
						[2] = {
							isPreview = false,
							text = {
								isDisplayText = true,
								justify = "CENTER",
								x = 0,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										isEnabled = false,
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
						},
					},
				},
				timerbars = {
					buff = {
						isEnabled = true,
						ancestralGuidance = true,
						ascendance = true,
						astralShift = true,
						bloodlust = true,
						elementalBlast = true,
						elementalMastery = true,
						heroism = true,
						timeWarp = true,
					},
					main = {
						isEnabled = true,
						earthElemental = true,
						fireElemental = true,
						stormElemental = true,
					},
					util = {
						isEnabled = true,
						earthgrabTotem = true,
						voodooTotem = true,
						liquidMagmaTotem = true,
						windRushTotem = true,
					},
				},
				statusbars = {
					defaultBar = false,
					healthBar = {
						adjust = {
							isEnabled = false,
							showBG = false,
						},
						isEnabled = true,
						numtext = {
							isDisplayText = true,
							justify = "LEFT",
							x = 5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 10,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						perctext = {
							isDisplayText = true,
							justify = "RIGHT",
							x = -5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 10,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						background = {
							texture = 'Flat',
							color = {
								r = 0,
								g = 0,
								b = 0,
								a = 0.5,
							},
						},
						icon = {
							isEnabled = true,
							justify = "LEFT",
						},
						spark = true,
						foreground = {
							texture = 'Armory',
							color = {
								r = 0.8,
								g = 0,
								b = 0,
								a = 1,
							},
						},
						layout = {
							width = 260,
							height = 42,
							point = "CENTER",
							relativeTo = 'AuraGroupEle',
							relativePoint = "CENTER",
							x = 0,
							y = -155,
							strata = "LOW",
						},
						precision = "Long",
						grouping = true,
						alphaCombat = 1,
						alphaOoC = 1,
						alphaTar = 0.5,
					},
					maelstromBar = {
						adjust = {
							isEnabled = false,
							showBG = false,
						},
						isEnabled = true,
						animate = true,
						text = {
							isDisplayText = true,
							justify = "CENTER",
							x = 0,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 12,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						background = {
							texture = 'Flat',
							color = {
								r = 0,
								g = 0,
								b = 0,
								a = 0.5,
							},
						},
						foreground = {
							texture = 'Fifths',
							color = {
								r = 0,
								g = 0.5,
								b = 1,
								a = 1,
							},
						},
						layout = {
							width = 260,
							height = 21,
							point = "CENTER",
							relativeTo = 'AuraGroupEle',
							relativePoint = "CENTER",
							x = 0,
							y = -139,
							strata = "LOW",
						},
						attachToHealth = {
							isAttached = true,
							x = 0,
							y = 0,
							point = "TOP",
						},
						justify = "CENTER",
						threshold = 90,
						alphaCombat = 1,
						alphaOoC = 0,
						alphaTar = 0.5,
					},
					castBar = {
						adjust = {
							isEnabled = false,
							showBG = false,
						},
						isEnabled = true,
						nametext = {
							isDisplayText = true,
							justify = "LEFT",
							x = 5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 10,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						timetext = {
							isDisplayText = true,
							justify = "RIGHT",
							x = -5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 10,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						background = {
							texture = 'Flat',
							color = {
								r = 0,
								g = 0,
								b = 0,
								a = 0.5,
							},
						},
						icon = {
							isEnabled = true,
							justify = "LEFT",
						},
						spark = true,
						foreground = {
							texture = 'Glamour2',
							color = {
								r = 1,
								g = 0.85,
								b = 0,
								a = 1,
							},
						},
						layout = {
							width = 260,
							height = 13,
							point = "CENTER",
							relativeTo = 'AuraGroupEle',
							relativePoint = "CENTER",
							x = 0,
							y = -155,
							strata = "LOW",
						},
						alphaCombat = 1,
						alphaOoC = 1,
					},
					channelBar = {
						adjust = {
							isEnabled = false,
							showBG = false,
						},
						isEnabled = true,
						selectedText = 'Name Text',
						nametext = {
							isDisplayText = true,
							justify = "LEFT",
							x = 5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 10,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						timetext = {
							isDisplayText = true,
							justify = "RIGHT",
							x = -5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 10,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						background = {
							texture = 'Flat',
							color = {
								r = 0,
								g = 0,
								b = 0,
								a = 0.5,
							},
						},
						icon = {
							isEnabled = true,
							justify = "LEFT",
						},
						spark = true,
						foreground = {
							texture = 'Glamour2',
							color = {
								r = 1,
								g = 0.85,
								b = 0,
								a = 1,
							},
						},
						layout = {
							width = 260,
							height = 13,
							point = "CENTER",
							relativeTo = 'AuraGroupEle',
							relativePoint = "CENTER",
							x = 0,
							y = -155,
							strata = "LOW",
						},
						alphaCombat = 1,
						alphaOoC = 1,
					},
					icefuryBar = {
						adjust = {
							isEnabled = false,
							showBG = false,
							showTimer = false,
						},
						isEnabled = true,
						counttext = {
							isDisplayText = true,
							justify = "LEFT",
							x = 5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 12,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						timetext = {
							isDisplayText = true,
							justify = "RIGHT",
							x = -5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 12,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						background = {
							texture = 'Flat',
							color = {
								r = 0,
								g = 0,
								b = 0,
								a = 0.5,
							},
						},
						timerBar = {
							texture = 'Blizzard',
							color = {
								r = 1,
								g = 1,
								b = 1,
								a = 0.35,
							},
						},
						foreground = {
							texture = 'Fourths',
							color = {
								r = 0.66,
								g = 0.49,
								b = 1,
								a = 1,
							},
						},
						layout = {
							width = 260,
							height = 21,
							point = "CENTER",
							relativeTo = 'AuraGroupEle',
							relativePoint = "CENTER",
							x = 0,
							y = -110,
							strata = "LOW",
						},
						alphaCombat = 1,
						alphaOoC = 0,
						alphaTar = 0.5,
					},
				},
				frames = {
					AuraGroupEle = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = nil,
						relativePoint = "CENTER",
						x = 0,
						y = 0,
						width = math.ceil(GetScreenWidth() - 500),
						height = math.ceil(GetScreenHeight() - 250),
					},
					LargeIconGrpTopEle = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = "AuraGroupEle",
						relativePoint = "CENTER",
						x = 0,
						y = -180,
						width = 250,
						height = 50,
					},
					LargeIconGrpBotEle = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = "AuraGroupEle",
						relativePoint = "CENTER",
						x = 0,
						y = -225,
						width = 250,
						height = 50,
					},
					LargeIconGrpExtEle = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = "AuraGroupEle",
						relativePoint = "CENTER",
						x = 0,
						y = -105,
						width = 100,
						height = 50,
					},
					SmallIconGrpLeftEle = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = "AuraGroupEle",
						relativePoint = "CENTER",
						x = -175,
						y = -170,
						width = 35,
						height = 160,
					},
					SmallIconGrpRightEle = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = "AuraGroupEle",
						relativePoint = "CENTER",
						x = 175,
						y = -170,
						width = 35,
						height = 160,
					},
					BuffTimerBarGrpEle = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = "AuraGroupEle",
						relativePoint = "CENTER",
						x = 250,
						y = -125,
						width = 115,
						height = 180,
					},
					MainTimerBarGrpEle = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = "AuraGroupEle",
						relativePoint = "CENTER",
						x = -250,
						y = -125,
						width = 90,
						height = 180,
					},
					UtilTimerBarGrpEle = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = "AuraGroupEle",
						relativePoint = "CENTER",
						x = -240,
						y = -125,
						width = 70,
						height = 180,
					},
					--[[TotemGroupEle = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = "AuraGroupEle",
						relativePoint = "CENTER",
						x = -200,
						y = 0,
						width = 200,
						height = 50,
						BackdropColor = {
							r = 0.15,
							g = 0.15,
							b = 0.15,
							a = 0.6,
						}
					},]]
					TotemMastery = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = "AuraGroupEle",
						relativePoint = "CENTER",
						x = 0,
						y = -210,
						width = 400,
						height = 180,
					},
					StormkeeperChargeGrp = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = "AuraGroupEle",
						relativePoint = "CENTER",
						x = 0,
						y = -110,
						width = 260,
						height = 50,
					}
				},
			},
			[2] = {
				isEnabled = true,
				isMoving = false,
				cooldowns = {
					isEnabled = true,
					text = true,
					sweep = true,
					inverse = false,
					bling = true,
					interrupted = false,
					adjust = false,
					selected = "primary;1",
					GCD = {
						isEnabled = false,
						length = 0,
						sweep = true,
						bling = true,
						start = 0,
						endTime = 0,
					},
					primary = {
						[1] = {
							isPreview = false,
							text = {
								isDisplayText = true,
								justify = "CENTER",
								x = 0,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										isEnabled = false,
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
						},
						[2] = {
							isPreview = false,
							text = {
								isDisplayText = true,
								justify = "CENTER",
								x = 0,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										isEnabled = false,
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
						},
						[3] = {
							isPreview = false,
							text = {
								isDisplayText = true,
								justify = "CENTER",
								x = 0,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										isEnabled = false,
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
						},
					},
					secondary = {
						[1] = {
							isPreview = false,
							text = {
								isDisplayText = true,
								justify = "CENTER",
								x = 0,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										isEnabled = false,
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
						},
						[2] = {
							isPreview = false,
							text = {
								isDisplayText = true,
								justify = "CENTER",
								x = 0,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										isEnabled = false,
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
						},
					},
				},
				timerbars = {
					buff = {
						isEnabled = true,
						ascendance = true,
						astralShift = true,
						bloodlust = true,
						heroism = true,
						hex = true,
						spiritWalk = true,
						timeWarp = true,
					},
					main = {
						isEnabled = true,
						crashLightning = true,
						earthenSpike = true,
						flametongue = true,
						frostbrand = true,
						landslide = true,
						lightningCrash = true,
						windsong = true,
					},
					util = {
						isEnabled = true,
						earthgrabTotem = true,
						voodooTotem = true,
						windRushTotem = true,
					},
				},
				statusbars = {
					defaultBar = false,
					maelstromBar = {
						adjust = {
							isEnabled = false,
							showBG = false,
						},
						isEnabled = true,
						animate = true,
						text = {
							isDisplayText = true,
							justify = "CENTER",
							x = 0,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 12,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						background = {
							texture = 'Flat',
							color = {
								r = 0,
								g = 0,
								b = 0,
								a = 0.5,
							},
						},
						foreground = {
							texture = 'Fifths',
							color = {
								r = 0,
								g = 0.5,
								b = 1,
								a = 1,
							},
						},
						layout = {
							width = 260,
							height = 21,
							point = "CENTER",
							relativeTo = 'AuraGroupEnh',
							relativePoint = "CENTER",
							x = 0,
							y = -139,
							strata = "LOW",
						},
						justify = "CENTER",
						threshold = 130,
						alphaCombat = 1,
						alphaOoC = 0,
						alphaTar = 0.5,
					},
					castBar = {
						adjust = {
							isEnabled = false,
							showBG = false,
						},
						isEnabled = true,
						selectedText = 'Name Text',
						nametext = {
							isDisplayText = true,
							justify = "LEFT",
							x = 5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 10,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						timetext = {
							isDisplayText = true,
							justify = "RIGHT",
							x = -5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 10,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						background = {
							texture = 'Flat',
							color = {
								r = 0,
								g = 0,
								b = 0,
								a = 0.5,
							},
						},
						icon = {
							isEnabled = true,
							justify = "LEFT",
						},
						spark = true,
						foreground = {
							texture = 'Glamour2',
							color = {
								r = 1,
								g = 0.85,
								b = 0,
								a = 1,
							},
						},
						layout = {
							width = 260,
							height = 13,
							point = "CENTER",
							relativeTo = 'AuraGroupEnh',
							relativePoint = "CENTER",
							x = 0,
							y = -155,
							strata = "LOW",
						},
						alphaCombat = 1,
						alphaOoC = 1,
					},
					channelBar = {
						adjust = {
							isEnabled = false,
							showBG = false,
						},
						isEnabled = true,
						selectedText = 'Name Text',
						nametext = {
							isDisplayText = true,
							justify = "LEFT",
							x = 5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 10,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						timetext = {
							isDisplayText = true,
							justify = "RIGHT",
							x = -5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 10,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						background = {
							texture = 'Flat',
							color = {
								r = 0,
								g = 0,
								b = 0,
								a = 0.5,
							},
						},
						icon = {
							isEnabled = true,
							justify = "LEFT",
						},
						spark = true,
						foreground = {
							texture = 'Glamour2',
							color = {
								r = 1,
								g = 0.85,
								b = 0,
								a = 1,
							},
						},
						layout = {
							width = 260,
							height = 13,
							point = "CENTER",
							relativeTo = 'AuraGroupEnh',
							relativePoint = "CENTER",
							x = 0,
							y = -155,
							strata = "LOW",
						},
						alphaCombat = 1,
						alphaOoC = 1,
					},
				},
				frames = {
					AuraGroupEnh = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = nil,
						relativePoint = "CENTER",
						x = 0,
						y = 0,
						width = math.ceil(GetScreenWidth() - 500),
						height = math.ceil(GetScreenHeight() - 250),
					},
					LargeIconGrpTopEnh = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = "AuraGroupEnh",
						relativePoint = "CENTER",
						x = 0,
						y = -180,
						width = 250,
						height = 50,
					},
					LargeIconGrpBotEnh = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = "AuraGroupEnh",
						relativePoint = "CENTER",
						x = 0,
						y = -225,
						width = 250,
						height = 50,
					},
					LargeIconGrpExtEnh = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = "AuraGroupEnh",
						relativePoint = "CENTER",
						x = 0,
						y = -105,
						width = 100,
						height = 50,
					},
					SmallIconGrpLeftEnh = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = "AuraGroupEnh",
						relativePoint = "CENTER",
						x = -175,
						y = -170,
						width = 35,
						height = 160,
					},
					SmallIconGrpRightEnh = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = "AuraGroupEnh",
						relativePoint = "CENTER",
						x = 175,
						y = -170,
						width = 35,
						height = 160,
					},
					BuffTimerBarGrpEnh = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = "AuraGroupEnh",
						relativePoint = "CENTER",
						x = 257,
						y = -125,
						width = 131,
						height = 180,
					},
					MainTimerBarGrpEnh = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = "AuraGroupEnh",
						relativePoint = "CENTER",
						x = -257,
						y = -125,
						width = 131,
						height = 180,
					},
					UtilTimerBarGrpEnh = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = "AuraGroupEnh",
						relativePoint = "CENTER",
						x = -215,
						y = -125,
						width = 47,
						height = 180,
					},
					StormstrikeChargeGrp = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = "AuraGroupEnh",
						relativePoint = "CENTER",
						x = 0,
						y = -100,
						width = 260,
						height = 50,
					},
					DoomWindsTexture = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = "AuraGroupEnh",
						relativePoint = "CENTER",
						x = -150,
						y = 0,
						width = 125,
						height = 240,
					},
				},
			},
			[3] = {
				isEnabled = true,
				isMoving = false,
				cooldowns = {
					isEnabled = true,
					text = true,
					sweep = true,
					inverse = false,
					bling = true,
					interrupted = false,
					adjust = false,
					selected = "primary;1",
					GCD = {
						isEnabled = false,
						length = 0,
						sweep = true,
						bling = true,
					},
					primary = {
						[1] = {
							isPreview = false,
							text = {
								isDisplayText = true,
								justify = "CENTER",
								x = 0,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										isEnabled = false,
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
						},
						[2] = {
							isPreview = false,
							text = {
								isDisplayText = true,
								justify = "CENTER",
								x = 0,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										isEnabled = false,
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
						},
						[3] = {
							isPreview = false,
							text = {
								isDisplayText = true,
								justify = "CENTER",
								x = 0,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										isEnabled = false,
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
						},
					},
					secondary = {
						[1] = {
							isPreview = false,
							text = {
								isDisplayText = true,
								justify = "CENTER",
								x = 0,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										isEnabled = false,
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
						},
						[2] = {
							isPreview = false,
							text = {
								isDisplayText = true,
								justify = "CENTER",
								x = 0,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										isEnabled = false,
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
						},
					},
				},
				timerbars = {
					buff = {
						isEnabled = true,
						ancestralGuidance = true,
						ascendance = true,
						astralShift = true,
						bloodlust = true,
						heroism = true,
						spiritwalkersGrace = true,
						timeWarp = true,
						unleashLife = true,
					},
					main = {
						isEnabled = true,
						ancestralProtectionTotem = true,
						cloudburstTotem = true,
						healingStreamTotemOne = true,
						healingStreamTotemTwo = true,
						healingTideTotem = true,
						spiritLinkTotem = true,
					},
					util = {
						isEnabled = true,
						earthgrabTotem = true,
						voodooTotem = true,
						liquidMagmaTotem = true,
						windRushTotem = true,
					},
				},
				statusbars = {
					defaultBar = false,
					earthenShieldBar = {
						adjust = {
							isEnabled = false,
							showBG = false,
							showTimer = false,
						},
						isEnabled = true,
						healthtext = {
							isDisplayText = true,
							justify = "LEFT",
							x = 5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 12,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						timetext = {
							isDisplayText = true,
							justify = "RIGHT",
							x = -5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 12,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						background = {
							texture = 'Flat',
							color = {
								r = 0,
								g = 0,
								b = 0,
								a = 0.5,
							},
						},
						timerBar = {
							texture = 'Blizzard',
							color = {
								r = 1,
								g = 1,
								b = 1,
								a = 0.35,
							},
						},
						foreground = {
							texture = 'Fifths',
							color = {
								r = 0.66,
								g = 0.49,
								b = 1,
								a = 1,
							},
						},
						layout = {
							width = 260,
							height = 21,
							point = "CENTER",
							relativeTo = 'AuraGroupRes',
							relativePoint = "CENTER",
							x = 0,
							y = -110,
							strata = "LOW",
						},
						alphaCombat = 1,
						alphaOoC = 0,
						alphaTar = 0.5,
					},
					manaBar = {
						adjust = {
							isEnabled = false,
							showBG = false,
						},
						isEnabled = true,
						text = {
							isDisplayText = true,
							justify = "CENTER",
							x = 0,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 12,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						background = {
							texture = 'Flat',
							color = {
								r = 0,
								g = 0,
								b = 0,
								a = 0.5,
							},
						},
						foreground = {
							texture = 'Fifths',
							color = {
								r = 0,
								g = 0.5,
								b = 1,
								a = 1,
							},
						},
						layout = {
							width = 260,
							height = 21,
							point = "CENTER",
							relativeTo = 'AuraGroupRes',
							relativePoint = "CENTER",
							x = 0,
							y = -139,
							strata = "LOW",
						},
						precision = "Long",
						grouping = true,
						alphaCombat = 1,
						alphaOoC = 0,
						alphaTar = 0.5,
					},
					castBar = {
						adjust = {
							isEnabled = false,
							showBG = false,
						},
						isEnabled = true,
						selectedText = 'Name Text',
						nametext = {
							isDisplayText = true,
							justify = "LEFT",
							x = 5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 10,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						timetext = {
							isDisplayText = true,
							justify = "RIGHT",
							x = -5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 10,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						background = {
							texture = 'Flat',
							color = {
								r = 0,
								g = 0,
								b = 0,
								a = 0.5,
							},
						},
						icon = {
							isEnabled = true,
							justify = "LEFT",
						},
						spark = true,
						foreground = {
							texture = 'Glamour2',
							color = {
								r = 1,
								g = 0.85,
								b = 0,
								a = 1,
							},
						},
						layout = {
							width = 260,
							height = 13,
							point = "CENTER",
							relativeTo = 'AuraGroupRes',
							relativePoint = "CENTER",
							x = 0,
							y = -155,
							strata = "LOW",
						},
						alphaCombat = 1,
						alphaOoC = 1,
					},
					channelBar = {
						adjust = {
							isEnabled = false,
							showBG = false,
						},
						isEnabled = true,
						selectedText = 'Name Text',
						nametext = {
							isDisplayText = true,
							justify = "LEFT",
							x = 5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 10,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						timetext = {
							isDisplayText = true,
							justify = "RIGHT",
							x = -5,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 10,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									isEnabled = false,
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
						background = {
							texture = 'Flat',
							color = {
								r = 0,
								g = 0,
								b = 0,
								a = 0.5,
							},
						},
						icon = {
							isEnabled = true,
							justify = "LEFT",
						},
						spark = true,
						foreground = {
							texture = 'Glamour2',
							color = {
								r = 1,
								g = 0.85,
								b = 0,
								a = 1,
							},
						},
						layout = {
							width = 260,
							height = 13,
							point = "CENTER",
							relativeTo = 'AuraGroupRes',
							relativePoint = "CENTER",
							x = 0,
							y = -155,
							strata = "LOW",
						},
						alphaCombat = 1,
						alphaOoC = 1,
					},
					tidalWavesBar = {
						TidalWaveTime = 5,
						combatDisplay = "Always",
						OoCDisplay = "Target & On Heal",
						OoCTime = 5,
						emptyColor = {
							r = 1,
							g = 0,
							b = 0,
							a = 1,
						},
						adjust = {
							isEnabled = false,
							showBG = false,
						},
						isEnabled = true,
						animate = true,
						background = {
							texture = 'Flat',
							color = {
								r = 0,
								g = 0,
								b = 0,
								a = 0.5,
							},
						},
						foreground = {
							texture = 'Halves',
							color = {
								r = 0.35,
								g = 0.76,
								b = 1,
								a = 1,
							},
						},
						layout = {
							width = 225,
							height = 7,
							point = 'CENTER',
							relativeTo = 'AuraGroupRes',
							relativePoint = "CENTER",
							x = 0,
							y = -202,
							strata = "LOW",
						},
						alphaCombat = 1,
						alphaOoC = 0,
						alphaTar = 0.5,
					},
				},
				frames = {
					AuraGroupRes = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = nil,
						relativePoint = "CENTER",
						x = 0,
						y = 0,
						width = math.ceil(GetScreenWidth() - 500),
						height = math.ceil(GetScreenHeight() - 250),
					},
					LargeIconGrpTopRes = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = "AuraGroupRes",
						relativePoint = "CENTER",
						x = 0,
						y = -180,
						width = 250,
						height = 50,
					},
					LargeIconGrpBotRes = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = "AuraGroupRes",
						relativePoint = "CENTER",
						x = 0,
						y = -225,
						width = 250,
						height = 50,
					},
					LargeIconGrpExtRes = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = "AuraGroupRes",
						relativePoint = "CENTER",
						x = 0,
						y = -105,
						width = 100,
						height = 50,
					},
					SmallIconGrpLeftRes = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = "AuraGroupRes",
						relativePoint = "CENTER",
						x = -175,
						y = -170,
						width = 35,
						height = 160,
					},
					SmallIconGrpRightRes = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = "AuraGroupRes",
						relativePoint = "CENTER",
						x = 175,
						y = -170,
						width = 35,
						height = 160,
					},
					BuffTimerBarGrpRes = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = "AuraGroupRes",
						relativePoint = "CENTER",
						x = 257,
						y = -125,
						width = 131,
						height = 180,
					},
					MainTimerBarGrpRes = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = "AuraGroupRes",
						relativePoint = "CENTER",
						x = -244,
						y = -125,
						width = 105,
						height = 180,
					},
					UtilTimerBarGrpRes = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = "AuraGroupRes",
						relativePoint = "CENTER",
						x = -215,
						y = -125,
						width = 47,
						height = 180,
					},
					Cloudburst = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = "AuraGroupRes",
						relativePoint = "CENTER",
						x = -200,
						y = 0,
						width = 150,
						height = 40,
						BackdropColor = {
							r = 0.15,
							g = 0.15,
							b = 0.15,
							a = 0.6,
						}
					},
					Undulation = {
						isEnabled = true,
						point = "CENTER",
						relativeTo = "AuraGroupRes",
						relativePoint = "CENTER",
						model = 'SPELLS/Monk_ForceSpere_Orb.m2',
						x = 0,
						y = -275,
						width = 60,
						height = 60,
					},
				},
			},
			defaults = {
				[1] = {
					cooldowns = {
						text = {
							justify = "CENTER",
							x = 0,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 12,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
					},
					statusbars = {
						maelstromBar = {
							text = {
								justify = "CENTER",
								x = 0,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							background = {
								texture = 'Flat',
								color = {
									r = 0,
									g = 0,
									b = 0,
									a = 0.5,
								},
							},
							foreground = {
								texture = 'Fifths',
								color = {
									r = 0,
									g = 0.5,
									b = 1,
									a = 1,
								},
							},
							layout = {
								width = 260,
								height = 21,
								point = "CENTER",
								relativeTo = 'AuraGroupEle',
								relativePoint = "CENTER",
								x = 0,
								y = -139,
								strata = "LOW",
							},
							justify = "CENTER",
							threshold = 90,
							alphaCombat = 1,
							alphaOoC = 0,
							alphaTar = 0.5,
						},
						castBar = {
							nametext = {
								justify = "LEFT",
								x = 5,
								y = 0,
								font = {
									name= "Friz Quadrata TT",
									size = 10,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							timetext = {
								justify = "RIGHT",
								x = -5,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 10,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							background = {
								texture = 'Flat',
								color = {
									r = 0,
									g = 0,
									b = 0,
									a = 0.5,
								},
							},
							icon = {
								justify = "LEFT",
							},
							foreground = {
								texture = 'Glamour2',
								color = {
									r = 1,
									g = 0.85,
									b = 0,
									a = 1,
								},
							},
							layout = {
								width = 260,
								height = 13,
								point = "CENTER",
								relativeTo = 'AuraGroupEle',
								relativePoint = "CENTER",
								x = 0,
								y = -155,
								strata = "LOW",
							},
							alphaCombat = 1,
							alphaOoC = 1,
						},
						channelBar = {
							nametext = {
								justify = "LEFT",
								x = 5,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 10,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							timetext = {
								justify = "RIGHT",
								x = -5,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 10,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							background = {
								texture = 'Flat',
								color = {
									r = 0,
									g = 0,
									b = 0,
									a = 0.5,
								},
							},
							icon = {
								justify = "LEFT",
							},
							foreground = {
								texture = 'Glamour2',
								color = {
									r = 1,
									g = 0.85,
									b = 0,
									a = 1,
								},
							},
							layout = {
								width = 260,
								height = 13,
								point = "CENTER",
								relativeTo = 'AuraGroupEle',
								relativePoint = "CENTER",
								x = 0,
								y = -155,
								strata = "LOW",
							},
							alphaCombat = 1,
							alphaOoC = 1,
						},
						icefuryBar = {
							counttext = {
								justify = "LEFT",
								x = 5,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							timetext = {
								justify = "RIGHT",
								x = -5,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							background = {
								texture = 'Flat',
								color = {
									r = 0,
									g = 0,
									b = 0,
									a = 0.5,
								},
							},
							timerBar = {
								texture = 'Blizzard',
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 0.35,
								},
							},
							foreground = {
								texture = 'Fourths',
								color = {
									r = 0.66,
									g = 0.49,
									b = 1,
									a = 1,
								},
							},
							layout = {
								width = 260,
								height = 21,
								point = "CENTER",
								relativeTo = 'AuraGroupEle',
								relativePoint = "CENTER",
								x = 0,
								y = -110,
								strata = "LOW",
							},
							alphaCombat = 1,
							alphaOoC = 0,
							alphaTar = 0.5,
						},
					},
					frames = {
						AuraGroupEle = {
							point = "CENTER",
							relativeTo = nil,
							relativePoint = "CENTER",
							x = 0,
							y = 0,
						},
						LargeIconGrpTopEle = {
							point = "CENTER",
							relativeTo = "AuraGroupEle",
							relativePoint = "CENTER",
							x = 0,
							y = -180,
						},
						LargeIconGrpBotEle = {
							point = "CENTER",
							relativeTo = "AuraGroupEle",
							relativePoint = "CENTER",
							x = 0,
							y = -225,
						},
						LargeIconGrpExtEle = {
							point = "CENTER",
							relativeTo = "AuraGroupEle",
							relativePoint = "CENTER",
							x = 0,
							y = -105,
						},
						SmallIconGrpLeftEle = {
							point = "CENTER",
							relativeTo = "AuraGroupEle",
							relativePoint = "CENTER",
							x = -175,
							y = -170,
						},
						SmallIconGrpRightEle = {
							point = "CENTER",
							relativeTo = "AuraGroupEle",
							relativePoint = "CENTER",
							x = 175,
							y = -170,
						},
						BuffTimerBarGrpEle = {
							point = "CENTER",
							relativeTo = "AuraGroupEle",
							relativePoint = "CENTER",
							x = 250,
							y = -125,
						},
						MainTimerBarGrpEle = {
							point = "CENTER",
							relativeTo = "AuraGroupEle",
							relativePoint = "CENTER",
							x = -250,
							y = -125,
						},
						UtilTimerBarGrpEle = {
							point = "CENTER",
							relativeTo = "AuraGroupEle",
							relativePoint = "CENTER",
							x = -240,
							y = -125,
						},
						TotemMastery = {
							point = "CENTER",
							relativeTo = "AuraGroupEle",
							relativePoint = "CENTER",
							x = 0,
							y = -210,
						},
						StormkeeperChargeGrp = {
							point = "CENTER",
							relativeTo = "AuraGroupEle",
							relativePoint = "CENTER",
							x = 0,
							y = -110,
						}
					},
				},
				[2] = {
					cooldowns = {
						text = {
							justify = "CENTER",
							x = 0,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 12,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
					},
					statusbars = {
						maelstromBar = {
							text = {
								justify = "CENTER",
								x = 0,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							background = {
								texture = 'Flat',
								color = {
									r = 0,
									g = 0,
									b = 0,
									a = 0.5,
								},
							},
							foreground = {
								texture = 'Fifths',
								color = {
									r = 0,
									g = 0.5,
									b = 1,
									a = 1,
								},
							},
							layout = {
								width = 260,
								height = 21,
								point = "CENTER",
								relativeTo = 'AuraGroupEnh',
								relativePoint = "CENTER",
								x = 0,
								y = -139,
								strata = "LOW",
							},
							justify = "CENTER",
							threshold = 130,
							alphaCombat = 1,
							alphaOoC = 0,
							alphaTar = 0.5,
						},
						castBar = {
							nametext = {
								justify = "LEFT",
								x = 5,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 10,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							timetext = {
								justify = "RIGHT",
								x = -5,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 10,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							background = {
								texture = 'Flat',
								color = {
									r = 0,
									g = 0,
									b = 0,
									a = 0.5,
								},
							},
							icon = {
								justify = "LEFT",
							},
							foreground = {
								texture = 'Glamour2',
								color = {
									r = 1,
									g = 0.85,
									b = 0,
									a = 1,
								},
							},
							layout = {
								width = 260,
								height = 13,
								point = "CENTER",
								relativeTo = 'AuraGroupEnh',
								relativePoint = "CENTER",
								x = 0,
								y = -155,
								strata = "LOW",
							},
							alphaCombat = 1,
							alphaOoC = 1,
						},
						channelBar = {
							nametext = {
								justify = "LEFT",
								x = 5,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 10,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							timetext = {
								justify = "RIGHT",
								x = -5,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 10,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							background = {
								texture = 'Flat',
								color = {
									r = 0,
									g = 0,
									b = 0,
									a = 0.5,
								},
							},
							icon = {
								justify = "LEFT",
							},
							foreground = {
								texture = 'Glamour2',
								color = {
									r = 1,
									g = 0.85,
									b = 0,
									a = 1,
								},
							},
							layout = {
								width = 260,
								height = 13,
								point = "CENTER",
								relativeTo = 'AuraGroupEnh',
								relativePoint = "CENTER",
								x = 0,
								y = -155,
								strata = "LOW",
							},
							alphaCombat = 1,
							alphaOoC = 1,
						},
					},
					frames = {
						AuraGroupEnh = {
							point = "CENTER",
							relativeTo = nil,
							relativePoint = "CENTER",
							x = 0,
							y = 0,
						},
						LargeIconGrpTopEnh = {
							point = "CENTER",
							relativeTo = "AuraGroupEnh",
							relativePoint = "CENTER",
							x = 0,
							y = -180,
						},
						LargeIconGrpBotEnh = {
							point = "CENTER",
							relativeTo = "AuraGroupEnh",
							relativePoint = "CENTER",
							x = 0,
							y = -225,
						},
						LargeIconGrpExtEnh = {
							point = "CENTER",
							relativeTo = "AuraGroupEnh",
							relativePoint = "CENTER",
							x = 0,
							y = -105,
						},
						SmallIconGrpLeftEnh = {
							point = "CENTER",
							relativeTo = "AuraGroupEnh",
							relativePoint = "CENTER",
							x = -175,
							y = -170,
						},
						SmallIconGrpRightEnh = {
							point = "CENTER",
							relativeTo = "AuraGroupEnh",
							relativePoint = "CENTER",
							x = 175,
							y = -170,
						},
						BuffTimerBarGrpEnh = {
							point = "CENTER",
							relativeTo = "AuraGroupEnh",
							relativePoint = "CENTER",
							x = 257,
							y = -125,
						},
						MainTimerBarGrpEnh = {
							point = "CENTER",
							relativeTo = "AuraGroupEnh",
							relativePoint = "CENTER",
							x = -257,
							y = -125,
						},
						UtilTimerBarGrpEnh = {
							point = "CENTER",
							relativeTo = "AuraGroupEnh",
							relativePoint = "CENTER",
							x = -215,
							y = -125,
						},
						StormstrikeChargeGrp = {
							point = "CENTER",
							relativeTo = "AuraGroupEnh",
							relativePoint = "CENTER",
							x = 0,
							y = -100,
						},
						DoomWindsTexture = {
							point = "CENTER",
							relativeTo = "AuraGroupEnh",
							relativePoint = "CENTER",
							x = -150,
							y = 0,
						},
					},
				},
				[3] = {
					cooldowns = {
						text = {
							justify = "CENTER",
							x = 0,
							y = 0,
							font = {
								name = "Friz Quadrata TT",
								size = 12,
								flag = "OUTLINE",
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 1,
								},
								shadow = {
									offset = {
										x = 2,
										y = -2,
									},
									color = {
										r = 0,
										g = 0,
										b = 0,
										a = 1,
									},
								},
							},
						},
					},
					statusbars = {
						manaBar = {
							text = {
								justify = "CENTER",
								x = 0,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							background = {
								texture = 'Flat',
								color = {
									r = 0,
									g = 0,
									b = 0,
									a = 0.5,
								},
							},
							foreground = {
								texture = 'Fifths',
								color = {
									r = 0,
									g = 0.5,
									b = 1,
									a = 1,
								},
							},
							layout = {
								width = 260,
								height = 21,
								point = "CENTER",
								relativeTo = 'AuraGroupRes',
								relativePoint = "CENTER",
								x = 0,
								y = -139,
								strata = "LOW",
							},
							precision = "Long",
							grouping = true,
							alphaCombat = 1,
							alphaOoC = 0,
							alphaTar = 0.5,
						},
						earthenShieldBar = {
							healthtext = {
								justify = "LEFT",
								x = 5,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							timetext = {
								justify = "RIGHT",
								x = -5,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 12,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							background = {
								texture = 'Flat',
								color = {
									r = 0,
									g = 0,
									b = 0,
									a = 0.5,
								},
							},
							timerBar = {
								texture = 'Blizzard',
								color = {
									r = 1,
									g = 1,
									b = 1,
									a = 0.35,
								},
							},
							foreground = {
								texture = 'Fifths',
								color = {
									r = 0.66,
									g = 0.49,
									b = 1,
									a = 1,
								},
							},
							layout = {
								width = 260,
								height = 21,
								point = "CENTER",
								relativeTo = 'AuraGroupRes',
								relativePoint = "CENTER",
								x = 0,
								y = -110,
								strata = "LOW",
							},
							alphaCombat = 1,
							alphaOoC = 0,
							alphaTar = 0.5,
						},
						castBar = {
							nametext = {
								justify = "LEFT",
								x = 5,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 10,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							timetext = {
								justify = "RIGHT",
								x = -5,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 10,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							background = {
								texture = 'Flat',
								color = {
									r = 0,
									g = 0,
									b = 0,
									a = 0.5,
								},
							},
							icon = {
								justify = "LEFT",
							},
							foreground = {
								texture = 'Glamour2',
								color = {
									r = 1,
									g = 0.85,
									b = 0,
									a = 1,
								},
							},
							layout = {
								width = 260,
								height = 13,
								point = "CENTER",
								relativeTo = 'AuraGroupRes',
								relativePoint = "CENTER",
								x = 0,
								y = -155,
								strata = "LOW",
							},
							alphaCombat = 1,
							alphaOoC = 1,
						},
						channelBar = {
							nametext = {
								justify = "LEFT",
								x = 5,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 10,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							timetext = {
								justify = "RIGHT",
								x = -5,
								y = 0,
								font = {
									name = "Friz Quadrata TT",
									size = 10,
									flag = "OUTLINE",
									color = {
										r = 1,
										g = 1,
										b = 1,
										a = 1,
									},
									shadow = {
										offset = {
											x = 2,
											y = -2,
										},
										color = {
											r = 0,
											g = 0,
											b = 0,
											a = 1,
										},
									},
								},
							},
							background = {
								texture = 'Flat',
								color = {
									r = 0,
									g = 0,
									b = 0,
									a = 0.5,
								},
							},
							icon = {
								justify = "LEFT",
							},
							foreground = {
								texture = 'Glamour2',
								color = {
									r = 1,
									g = 0.85,
									b = 0,
									a = 1,
								},
							},
							layout = {
								width = 260,
								height = 13,
								point = "CENTER",
								relativeTo = 'AuraGroupRes',
								relativePoint = "CENTER",
								x = 0,
								y = -155,
								strata = "LOW",
							},
							alphaCombat = 1,
							alphaOoC = 1,
						},
						tidalWavesBar = {
							TidalWaveTime = 5,
							combatDisplay = "Always",
							OoCDisplay = "Target & On Heal",
							OoCTime = 5,
							emptyColor = {
								r = 1,
								g = 0,
								b = 0,
								a = 1,
							},
							background = {
								texture = 'Flat',
								color = {
									r = 0,
									g = 0,
									b = 0,
									a = 0.5,
								},
							},
							foreground = {
								texture = 'Halves',
								color = {
									r = 0.35,
									g = 0.76,
									b = 1,
									a = 1,
								},
							},
							layout = {
								width = 225,
								height = 7,
								point = 'CENTER',
								relativeTo = 'AuraGroupRes',
								relativePoint = "CENTER",
								x = 0,
								y = -202,
								strata = "LOW",
							},
							alphaCombat = 1,
							alphaOoC = 0,
							alphaTar = 0.5,
						}
					},
					frames = {
						AuraGroupRes = {
							point = "CENTER",
							relativeTo = nil,
							relativePoint = "CENTER",
							x = 0,
							y = 0,
						},
						LargeIconGrpTopRes = {
							point = "CENTER",
							relativeTo = "AuraGroupRes",
							relativePoint = "CENTER",
							x = 0,
							y = -180,
						},
						LargeIconGrpBotRes = {
							point = "CENTER",
							relativeTo = "AuraGroupRes",
							relativePoint = "CENTER",
							x = 0,
							y = -225,
						},
						LargeIconGrpExtRes = {
							point = "CENTER",
							relativeTo = "AuraGroupRes",
							relativePoint = "CENTER",
							x = 0,
							y = -105,
						},
						SmallIconGrpLeftRes = {
							point = "CENTER",
							relativeTo = "AuraGroupRes",
							relativePoint = "CENTER",
							x = -175,
							y = -170,
						},
						SmallIconGrpRightRes = {
							point = "CENTER",
							relativeTo = "AuraGroupRes",
							relativePoint = "CENTER",
							x = 175,
							y = -170,
						},
						BuffTimerBarGrpRes = {
							point = "CENTER",
							relativeTo = "AuraGroupRes",
							relativePoint = "CENTER",
							x = 257,
							y = -125,
						},
						MainTimerBarGrpRes = {
							point = "CENTER",
							relativeTo = "AuraGroupRes",
							relativePoint = "CENTER",
							x = -244,
							y = -125,
						},
						UtilTimerBarGrpRes = {
							point = "CENTER",
							relativeTo = "AuraGroupRes",
							relativePoint = "CENTER",
							x = -215,
							y = -125,
						},
						Cloudburst = {
							point = "CENTER",
							relativeTo = "AuraGroupRes",
							relativePoint = "CENTER",
							x = -200,
							y = 0,
						},
						Undulation = {
							point = "CENTER",
							relativeTo = "AuraGroupRes",
							relativePoint = "CENTER",
							x = 0,
							y = -275,
						},
					},
				},
			},
		},		
		config = {
			isDragging = false,
			LeftButton = false,
			MiddleButton = false,
			RightButton = false,
			isShiftDown = false,
			isCtrlDown = false,
			[1] = {
				isMoving = false,
				cooldown = {
					text = true,
					sweep = true,
					inverse = false,
				},
			},
			[2] = {
				isMoving = false,
				cooldown = {
					text = true,
					sweep = true,
					inverse = false,
				},
				
			},
			[3] = {
				isMoving = false,
				cooldown = {
					text = true,
					sweep = true,
					inverse = false,
				},
				
			},
			default = {
				alphaOoC = 0,
				alphaTar = 0.5,
				alphaCombat = 1,
				justify = "Center",
				animate = true,
				isAdjustable = false,
				isDisplayText = true,
				[1] = {
					cooldown = {
						text = true,
						sweep = true,
						inverse = false,
					},
					
				},
				[2] = {
					cooldown = {
						text = true,
						sweep = true,
						inverse = false,
					},
					
				},
				[3] = {
					cooldown = {
						text = true,
						sweep = true,
						inverse = false,
					},
					
				},
			},
		},
		settings = {
			grid = {
				gridPreview = false,
				gridColor = {
					r = 0,
					g = 0,
					b = 0,
					a = 1,
				},
				axisColor = {
					r = 1,
					g = 0,
					b = 0,
					a = 1,
				},
			},
			[1] = {
				flameShock = 10,
				totemMastery = 15,
				OoCAlpha = 0.5,
				OoRColor = {
					r = 1,
					g = 0,
					b = 0,
					a = 1,
				}
			},
			[2] = {
				rockbiter = 5,
				flametongue = 5,
				frostbrand = 5,
				OoCAlpha = 0.5,
				OoRColor = {
					r = 1,
					g = 0,
					b = 0,
					a = 1,
				}
			},
			[3] = {
				cloudburst = 300000,
				flameShock = 10,
				OoCAlpha = 0.5,
				OoRColor = {
					r = 1,
					g = 0,
					b = 0,
					a = 1,
				},
			},
			defaults = {
				OoCAlpha = 0.5,
				OoRColor = {
					r = 1,
					g = 0,
					b = 0,
					a = 1,
				},
				[1] = {
					flameShock = 10,
					totemMastery = 15,
				},
				[2] = {
					rockbiter = 5,
					flametongue = 5,
					frostbrand = 5,
				},
				[3] = {
					cloudburst = 300000,
					flameShock = 10,
				},
			},
		},
		auras = {
			[1] = {
				AncestralGuidanceEle = true,
					AncestralGuidanceBarEle = true,
				AscendanceEle = true,
					AscendanceBarEle = true,
				AstralShiftEle = true,
					AstralShiftBarEle = true,
				AuraGroupEle = true,
				Bloodlust = true,
				BloodlustBarEle = true,
				BuffTimerBarGrpEle = true,
				--CastBarEle = true,
				--ChannelBarEle = true,
				CleanseSpiritEle = true,
				ConcordanceEle = true,
				EarthElemental = true,
					EarthElementalBar = true,
				EarthgrabTotemEle = true,
					EarthgrabTotemBarEle = true,
				Earthquake = true,
				EarthShock = true,
				EarthShockGlow = true,
				ElementalBlast = true,
					ElementalBlastCritBar = true,
					ElementalBlastHasteBar = true,
					ElementalBlastMasteryBar = true,
				ElementalFocus = true,
				ElementalMastery = true,
					ElementalMasteryBar = true,
				FireElemental = true,
					FireElementalBar = true,
				FlameShock = true,
				FlameShockGlow = true,
				FrostShock = true,
				GustWindEle = true,
					HeroismBarEle = true,
				HexEle = true,
				HexBarEle = true,
				Icefury = true,
				--IcefuryBar = true,
				LargeIconGrpBotEle = true,
				LargeIconGrpExtEle = true,
				LargeIconGrpTopEle = true,
				LavaBurstEle = true,
				LavaBurstEleGlow = true,
				LavaBurstEleCharges = true,
				LavaSurgeEle = true,
				LightningSurgeTotemEle = true,
				--LightningSurgeTotemBarEle = true,
				LiquidMagmaTotem = true,
					LiquidMagmaTotemBar = true,
				--MaelstromBarEle = true,
				MainTimerBarGrpEle = true,
				PowerOfMaelstrom = true,
				SmallIconGrpLeftEle = true,
				SmallIconGrpRightEle = true,
				StormElemental = true,
					StormElementalBar = true,
				Stormkeeper = true,
				--StormkeeperChargeGrp = true,
					TimeWarpBarEle = true,
				Thunderstorm = true,
				--TotemGroupEle = true,
				--TotemMastery = true,
				TotemMasteryTexture = true,
				UtilTimerBarGrpEle = true,
				VoodooTotemEle = true,
					VoodooTotemBarEle = true,
				WindRushTotemEle = true,
					WindRushTotemBarEle = true,
				WindShearEle = true
			},
			[2] = {
				AscendanceEnh = true,
				AscendanceBarEnh = true,
				AstralShiftEnh = true,
				AstralShiftBarEnh = true,
				AuraGroupEnh = true,
				BloodlustEnh = true,
				BloodlustBarEnh = true,
				BuffTimerBarGrpEnh = true,
				--CastBarEnh = true,
				--ChannelBarEnh = true,
				CleanseSpiritEnh = true,
				ConcordanceEnh = true,
				CrashLightning = true,
				CrashLightningBar = true,
				CrashLightningGlow = true,
				DoomWinds = true,
				--DoomWindsTex = true,
				EarthenSpike = true,
				EarthenSpikeBar = true,
				EarthgrabTotemEnh = true,
				EarthgrabTotemBarEnh = true,
				FeralLunge = true,
				FeralSpirit = true,
				FeralSpiritBar = true,
				Flametongue = true,
				FlametongueBar = true,
				FlametongueGlow = true,
				Frostbrand = true,
				FrostbrandBar = true,
				FrostbrandGlow = true,
				HeroismBarEng = true,
				HexEnh = true,
				HexBarEnh = true,
				LandslideBar = true,
				LargeIconGrpBotEnh = true,
				LargeIconGrpExtEnh = true,
				LargeIconGrpTopEnh = true,
				LavaLash = true,
				LightningSurgeTotemEnh = true,
				LightningSurgeTotemBarEnh = true,
				--MaelstromBarEnh = true,
				MainTimerBarGrpEnh = true,
				Rainfall = true,
				Rockbiter = true,
				RockbiterCharges = true,
				SmallIconGrpLeftEnh = true,
				SmallIconGrpRightEnh = true,
				SpiritWalk = true,
				SpiritWalkBar = true,
				Stormstrike = true,
				--StormstrikeChargeGrp = true,
				StormstrikeChargesText = false,
				StormstrikeGlow = true,
				Sundering = true,
				TimeWarpBarEnh = true,
				UnleashDoom = true,
				UtilTimerBarGrpEnh = true,
				VoodooTotemEnh = true,
				VoodooTotemBarEnh = true,
				WindRushTotemEnh = true,
				WindRushTotemBarEnh = true,
				WindShearEnh = true,
				Windsong = true,
				WindsongBar = true,
				WindsongGlow = true,
			},
			[3] = {
				AncestralGuidanceRes = true,
				AncestralGuidanceBarRes = true,
				AncestralProtectionTotem = true,
				AncestralProtectionTotemBar = true,
				AscendanceRes = true,
				AscendanceBarRes = true,
				AstralShiftRes = true,
				AstralShiftBarRes = true,
				AuraGroupRes = true,
				--Bloodlust = true,
				BloodlustBarRes = true,
				BuffTimerBarGrpRes = true,
				--CastBarRes = true,
				--ChannelBarRes = true,
				--Cloudburst = true,
				CloudburstAbsorbBar = true,
				CloudburstTotem = true,
				CloudburstTotemBar = true,
				ConcordanceRes = true,
				EarthenShieldTotem = true,
				--EarthenShieldTotemBar = true,
				EarthgrabTotemRes = true,
				EarthgrabTotemBarRes = true,
				FlameShockRes = true,
				FlameshockResGlow = true,
				GiftOfQueen = true,
				GustWindRes = true,
				HealingRain = true,
				HealingStreamTotem = true,
				HealingStreamTotemBar = true,
				HealingStreamTotemOneBar = true,
				HealingStreamTotemTwoBar = true,
				HealingStreamCharges = true,
				HealingTideTotem = true,
				HealingTideTotemBar = true,
				HeroismBarRes = true,
				HexRes = true,
				HexBarRes = true,
				LargeIconGrpBotRes = true,
				LargeIconGrpExtRes = true,
				LargeIconGrpTopRes = true,
				LavaBurstRes = true,
				LavaBurstResGlow = true,
				LavaBurstResCharges = true,
				LavaSurgeRes = true,
				LightningSurgeTotemRes = true,
				LightningSurgeTotemBarRes = true,
				MainTimerBarGrpRes = true,
				--ManaBar = true,
				PurifySpirit = true,
				Riptide = true,
				RiptideCharge = true,
				SmallIconGrpLeftRes = true,
				SmallIconGrpRightRes = true,
				SpiritLinkTotem = true,
				SpiritLinkTotemBar = true,
				SpiritwalkersGrace = true,
				SpiritwalkersGraceBar = true,
				TidalWaves = true,
				--TidalWavesBar = true,
				TidalWavesCharges = true,
				--Undulation = true,
				UnleashLife = true,
				UnleashLifeBar = true,
				UtilTimerBarGrpRes = true,
				VoodooTotemRes = true,
				VoodooTotemBarRes = true,
				Wellspring = true,
				WindRushTotemRes = true,
				WindRushTotemBarRes = true,
				WindShearRes = true,
			},
		},
	}
}

SSA[1].defaults = defaults
